Page MenuHomePhabricator

Allow getCompiler to return None in the test suite
AbandonedPublic

Authored by fjricci on Mar 24 2017, 8:55 AM.

Details

Reviewers
sas
zturner
labath
Summary

Prior to r259433, getCompiler could return None without causing a
test suite crash. However, passing a NoneType to realpath will
cause a crash. Prevent this crash by allowing getCompiler to return None.

Event Timeline

fjricci created this revision.Mar 24 2017, 8:55 AM
sas accepted this revision.Mar 24 2017, 11:51 AM
This revision is now accepted and ready to land.Mar 24 2017, 11:51 AM
labath edited edge metadata.Mar 26 2017, 11:11 AM

This doesn't bother me too much, but i'm curious about how are you getting anything reasonable out of the test suite without a working compiler (?)

fjricci abandoned this revision.Mar 27 2017, 7:16 AM

I primarily wrote this because getArchFlag() accounts for the possibility that getCompiler() can be None. But my problem was unrelated, so I don't need this (and I agree that it would be surprising if anyone did).